<?php
/**
 * Plugin Filehtml (addon for plugin Adm_redacteurs)
 * Version  : 1.2 (2017/02/13)
 * Compatibility : Guppy v5.0+ et Adm_redacteurs v6.10+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>
<form action="<?php echo $form_url; ?>" method="post">
<?php include ADMR_VIEWS_PATH.'/fragments/add_input_token_view.php'; ?>
<input type="hidden" name="id" value="<?php echo $params['id']; ?>" />

<?php include ADMR_VIEWS_PATH.'/fragments/add_block_confirm_message_view.php'; ?>

<h4 class="ADMR_title"><?php echo ucfirst($lang['heading_form_recording']); ?>&nbsp;:</h4>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<?php include ADMR_VIEWS_PATH.'/fragments/add_input_author_view.php'; ?>

<?php include ADMR_VIEWS_PATH.'/fragments/add_fieldset_date_publication_view.php'; ?>

<!-- Titre du filehtml -->
<fieldset id="admr_doc_title">
<legend><?php echo ucfirst($lang['filehtml_title']); ?></legend>
<?php foreach($config['lang'] as $key => $lng) : ?>
    <?php if (!empty($lng)) : ?>
    <p>
    <label><img src="<?php echo CHEMIN.'inc/lang/'.$lng.'.gif'; ?>" alt="<?php echo $lng; ?>" title="<?php echo $lng; ?>" />&nbsp;:&nbsp;
    <input data-validation="required" data-validation-error-msg="<?php echo htmlspecialchars($lang['form_errors_msg']['title_required'], ENT_QUOTES, 'UTF-8'); ?>" placeholder="Veuillez mettre un titre" class="texte" type="text" name="params[title<?php echo $key+1; ?>]" size="70" value="<?php echo htmlspecialchars($params['title'.($key+1)], ENT_QUOTES, 'UTF-8'); ?>" />
    </label>
    <?php echo !empty($errors['title'.($key+1)]) ? $errors['title'.($key+1)] : '' ?>
    </p>
    <?php endif; ?>
<?php endforeach; ?>
</fieldset>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
<!-- Sélection du fichier html -->
<fieldset id="admr_doc_link">
<legend><?php echo ucfirst($lang['selection_of_file_html']); ?></legend>
<?php foreach($config['lang'] as $key => $lng) : ?>
    <?php if (!empty($lng)) : ?>
    <p>
    <label for="doc_link<?php echo $key+1; ?>"><img src="<?php echo CHEMIN.'inc/lang/'.$lng.'.gif'; ?>" alt="<?php echo $lng; ?>" title="<?php echo $lng; ?>" />&nbsp;:&nbsp;
    <input 
     id="doc_link<?php echo $key+1; ?>" 
     data-validation="file"
     data-validation-error-msg-file-required="<?php echo htmlspecialchars($lang['form_errors_msg']['file_required'], ENT_QUOTES, 'UTF-8'); ?>" 
     data-validation-file-path="<?php echo implode(',', $config['file_manager']['access']['filehtml']['dirs']); ?>"
     data-validation-error-msg-file-path="<?php echo sprintf(htmlspecialchars($lang['form_errors_msg']['only_this_file_directories_%s_are_allowed'], ENT_QUOTES, 'UTF-8'), implode(',', $config['file_manager']['access']['filehtml']['dirs'])); ?>"
     data-validation-ext-allowed="<?php echo implode(',', $config['file_manager']['access']['filehtml']['allowed_ext']); ?>"
     data-validation-error-msg-file-ext="<?php echo sprintf(htmlspecialchars($lang['form_errors_msg']['only_this_file_extensions_%s_are_allowed'], ENT_QUOTES, 'UTF-8'), implode(',', $config['file_manager']['access']['filehtml']['allowed_ext'])); ?>"
     placeholder="file/"
     class="texte" 
     type="text" 
     name="params[link<?php echo ($key+1); ?>]"
     size="45" value="<?php echo htmlspecialchars($params['link'.($key+1)], ENT_QUOTES, 'UTF-8'); ?>" 
    />
    </label>
    <a class="filebrowser" target="filebrowser" href="<?php echo (ADMR_IS_ADMIN === TRUE) ? ADMR_ADMIN_ROOT_PATH : ADMR_PUBLIC_ROOT_PATH; ?>/filemanager.php?lng=<?php echo ADMR_LNG; ?>&ctrl=manage_files&addon=filehtml&type=filehtml&target=doc_link<?php echo $key+1; ?>">
    <input class="bouton" name="filebrowser" value="<?php echo ucfirst($lang['label_button']['browse']); ?>" type="button" />
    </a>
    <?php echo $errors['link'.($key+1)]; ?>
    </p>
    <?php endif; ?>
<?php endforeach; ?>
</fieldset>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
<!-- Affichage dans une iframe -->
<fieldset id="admr_doc_iframe">
<legend><?php echo ucfirst($lang['display_file_html_into_iframe']); ?></legend>
<?php foreach($config['lang'] as $key => $lng) : ?>
    <?php if (!empty($lng)) : ?>
    <fieldset id="admr_doc_iframe<?php echo ($key+1); ?>">
    <legend><img src="<?php echo CHEMIN.'inc/lang/'.$lng.'.gif'; ?>" alt="<?php echo $lng; ?>" title="<?php echo $lng; ?>" /></legend>
    <p>
    <span><?php echo ucfirst($lang['iframe']); ?>&nbsp;:&nbsp;</span>
    <label><input type="radio" value="1" name="params[iframe<?php echo ($key+1); ?>]"<?php echo !empty($params['iframe'.($key+1)]) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['yes']); ?></label>
    <span>&nbsp;&nbsp;</span>
    <label><input type="radio" value="0" name="params[iframe<?php echo ($key+1); ?>]"<?php echo empty($params['iframe'.($key+1)]) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['no']); ?></label>       
    </p>
    <p>
    <label><?php echo ucfirst($lang['height_of_iframe']); ?>&nbsp;:&nbsp;
    <input type="text" name="params[iframe_height<?php echo ($key+1); ?>]" value="<?php echo $params['iframe_height'.($key+1)]; ?>" />
    </label>
    <?php echo $errors['iframe_height'.($key+1)]; ?>
    </p>
    </fieldset>
    <?php endif; ?>
<?php endforeach; ?>
</fieldset>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<!-- Contenu du fichier (introduction) -->
<?php foreach(array('contents_before', 'contents_after') as $contents) : ?>
    <fieldset id="admr_doc_<?php echo $contents; ?>" class="admr_doc_contents">
    <legend><?php echo ucfirst($lang[$contents.'_filehtml']); ?></legend>
    <?php foreach($config['lang'] as $key => $lng) : ?>
        <?php if (!empty($lng)) : ?>
        <div>
        <label for="params[<?php echo $contents.($key+1); ?>]"><img src="<?php echo CHEMIN.'inc/lang/'.$lng.'.gif'; ?>" alt="<?php echo $lng; ?>" title="<?php echo $lng; ?>" /><?php echo ucfirst($lang['write_'.$contents.'_filehtml']); ?>&nbsp;:&nbsp;</label>
        <textarea id="params[<?php echo $contents.($key+1); ?>]" name="params[<?php echo $contents.($key+1); ?>]" rows="8" cols="60" placeholder="<?php echo $lang['click_here_to_add_'.$contents]; ?>"><?php echo htmlspecialchars($params[$contents.($key+1)], ENT_QUOTES, 'UTF-8'); ?></textarea>
        <?php  //Editor_helper :: display_editor('params['.$contents.($key+1).']', $this -> _params[$contents.($key+1)], array('writer_rights' => $writer_rights, 'height' => '200px', 'toolbar' => ADMR_IS_ADMIN ? 'Guppy_in' : 'basic')); ?>
        <?php  Editor_helper :: display_editor('params['.$contents.($key+1).']', $this -> _params[$contents.($key+1)], array('writer_rights' => $writer_rights, 'customConfig' => str_replace(CHEMIN, ADMR_SITE_URL, FILEHTML_CKEDITOR_CONFIG_PATH), 'height' => '200px', 'toolbar' => ADMR_IS_ADMIN ? 'admin' : 'writer')); ?>
        </div>
        <?php endif; ?>
    <?php endforeach; ?>
    </fieldset>
<?php endforeach; ?>

<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<!-- Affichage d'une barre de navigation en bas de page -->
<fieldset id="admr_doc_nav_bar">
<legend><?php echo ucfirst($lang['display_nav_bar']); ?></legend>
<?php foreach(array('previous_page', 'next_page') as $page) : ?>
    <fieldset id="admr_doc_<?php echo $page; ?>">
    <legend><?php echo ucfirst($lang['display_link_for_'.$page]); ?></legend>
    <?php foreach($config['lang'] as $key => $lng) : ?>
        <?php if (!empty($lng)) : ?>
        <fieldset>
        <legend><img src="<?php echo CHEMIN.'inc/lang/'.$lng.'.gif'; ?>" alt="<?php echo $lng; ?>" title="<?php echo $lng; ?>" /></legend>
        <p>
        <label><?php echo ucfirst($lang['label_for_'.$page]); ?>&nbsp;:&nbsp;
        <input type="text" name="params[<?php echo $page.'_label'.($key+1); ?>]" value="<?php echo $params[$page.'_label'.($key+1)]; ?>" />
        </label>
        </p>
        <p>
        <label><?php echo ucfirst($lang['uri_for_'.$page]); ?>&nbsp;:&nbsp;
        <input type="text" name="params[<?php echo $page.'_uri'.($key+1); ?>]" value="<?php echo $params[$page.'_uri'.($key+1)]; ?>" />
        </label>
        </p>
        </fieldset>
        <?php endif; ?>
    <?php endforeach; ?>
    </fieldset>
<?php endforeach; ?>
</fieldset>
<!-- Options de configuration -->
<?php if (empty($params['id']) && !empty($writer_rights[$doc_type['name'].'_act']) // Gestion du status autorisé
          || !empty($writer_rights[$doc_type['name'].'_sidebars_manage']) // Gestion du mode d'affichage des barres latérales
          || !empty($writer_rights[$doc_type['name'].'_icon_manage'])
          || !empty($writer_rights[$doc_type['name'].'_private_group_manage'])) : // Gestion de l'accès au groupe privé autorisée ?>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
<fieldset>
<legend><?php echo ucfirst($lang['document_options']); ?></legend>
<?php include ADMR_VIEWS_PATH.'/fragments/add_select_status_view.php'; ?>
<?php include ADMR_VIEWS_PATH.'/fragments/add_select_private_group_view.php'; ?>
<?php include ADMR_VIEWS_PATH.'/fragments/add_select_sidebars_view.php'; ?>
<?php include ADMR_VIEWS_PATH.'/fragments/add_input_icon_choice_view.php'; ?>
<?php if (ADMR_IS_ADMIN) : ?>
    <p> <!-- Affichage du nom de l'auteur -->
    <span title=""><?php echo ucfirst($lang['display_author']); ?>&nbsp;:&nbsp;</span>
    <label><input type="radio" value="1" name="params[display_author]"<?php echo !empty($params['display_author']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['yes']); ?></label>
    <span>&nbsp;&nbsp;</span>
    <label><input type="radio" value="0" name="params[display_author]"<?php echo empty($params['display_author']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['no']); ?></label>       
    </p>
    <p> <!-- Affichage de la date de création -->
    <span title=""><?php echo ucfirst($lang['display_create_date']); ?>&nbsp;:&nbsp;</span>
    <label><input type="radio" value="1" name="params[display_create_date]"<?php echo !empty($params['display_create_date']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['yes']); ?></label>
    <span>&nbsp;&nbsp;</span>
    <label><input type="radio" value="0" name="params[display_create_date]"<?php echo empty($params['display_create_date']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['no']); ?></label>       
    </p>
    <p> <!-- Affichage de la date de modification -->
    <span title=""><?php echo ucfirst($lang['display_modif_date']); ?>&nbsp;:&nbsp;</span>
    <label><input type="radio" value="1" name="params[display_modif_date]"<?php echo !empty($params['display_modif_date']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['yes']); ?></label>
    <span>&nbsp;&nbsp;</span>
    <label><input type="radio" value="0" name="params[display_modif_date]"<?php echo empty($params['display_modif_date']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['no']); ?></label>       
    </p>
    <p> <!-- Affichage du nombre de vues -->
    <span title=""><?php echo ucfirst($lang['display_nb_views']); ?>&nbsp;:&nbsp;</span>
    <label><input type="radio" value="1" name="params[display_nb_views]"<?php echo !empty($params['display_nb_views']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['yes']); ?></label>
    <span>&nbsp;&nbsp;</span>
    <label><input type="radio" value="0" name="params[display_nb_views]"<?php echo empty($params['display_nb_views']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['no']); ?></label>       
    </p>
<?php endif; ?>
</fieldset>
<?php endif; ?>

<p><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
</form>